# CREDIT_LINE

One or more attributes of a credit line were changed. See here all the events that trigger this webhook. Please note that webhook payload is returned as a JSON-encoded string.

Endpoint: POST credit_line
Version: 1.0

## Request fields (application/json):

  - `data` (object)
    An object containing the webhook payload.

  - `data.event_type` (string)
    The webhook event name.
    Example: "CREDIT_LINE"

  - `data.entity_uuid` (string)
    The resource ID of the loan.
    Example: "2d685ca48fab499a841d19fd8bcfe314ccln"

  - `data.payload` (object)

  - `data.payload.account_id` (string,null)
    The unique ID of the customer's Solaris account.
    Example: "adc123a45d6d7cf8fbfeed537ba919d5cacc"

  - `data.payload.account_iban` (string,null)
    The IBAN of the customer's account.
    Example: "DE25110101002910133758"

  - `data.payload.active_loans` (array)
    An array containing the details of all active loans related to the customer's credit line.

  - `data.payload.active_loans.id` (string)
    The unique ID of a loan.
    Example: "e0167a47f385443a835050d1d9274b45cloa"

  - `data.payload.granted_at` (string)
    The timestamp from when the credit line was granted to a customer.
    Example: "2022-02-07T11:57:42Z"

  - `data.payload.disposable_income` (object,null)
    The total amount of the customer's disposable income.
    Example: {"value":1000,"unit":"cents","currency":"EUR"}

  - `data.payload.disposable_income.value` (integer, required)
    The amount value
    Example: 1000

  - `data.payload.disposable_income.currency` (string, required)
    The currency of the given value. Only EURO is currently supported.
    Example: "EUR"

  - `data.payload.disposable_income.unit` (string, required)
    The unit of the given value.
    Enum: "cents"

  - `data.payload.created_at` (string)
    The timestamp from when the credit line was created.
    Example: "2022-02-07T11:57:42"

  - `data.payload.application_id` (string)
    The unique ID of a credit line application.
    Example: "35eee37033c5436f9cbff6df1f88e097ccla"

  - `data.payload.annual_percentage_rate` (number)
    The annual interest rate applied to the credit line.
    Example: 0.11

  - `data.payload.latest_disposable_income` (object,null)
    The amount of the customer's latest disposable income.
    Example: {"value":1000,"unit":"cents","currency":"EUR"}

  - `data.payload.latest_disposable_income.value` (integer, required)
    The amount value
    Example: 1000

  - `data.payload.latest_disposable_income.currency` (string, required)
    The currency of the given value. Only EURO is currently supported.
    Example: "EUR"

  - `data.payload.latest_disposable_income.unit` (string, required)
    The unit of the given value.
    Enum: "cents"

  - `data.payload.interest_rate` (number)
    The interest rate to apply to the credit line. This field is used if there's a specific interest rate to be applied for a partner.
    Example: 0.11

  - `data.payload.id` (string)
    The unique ID of a credit line, generated after a credit line is created.
    Example: "1908331fb8384edcbfe63067366c4b6accln"

  - `data.payload.person_id` (string)
    The person ID of the customer applying for the credit line.
    Example: "dc1a6812a14f6cc338cd084208535bcdcper"

  - `data.payload.locking_status` (string)
    The locking status, which indicates whether it's possible to create a loan against the credit line or it's blocked.
    Enum: "BLOCK", "NO_BLOCK"

  - `data.payload.limit` (object)
    The limit of the credit line.
    Example: {"value":1000,"unit":"cents","currency":"EUR"}

  - `data.payload.limit.value` (integer, required)
    The amount value
    Example: 1000

  - `data.payload.limit.currency` (string, required)
    The currency of the given value. Only EURO is currently supported.
    Example: "EUR"

  - `data.payload.limit.unit` (string, required)
    The unit of the given value.
    Enum: "cents"

  - `data.payload.recipient_iban` (string)
    The IBAN of the customer's account to use for the account snapshot.
    Example: "DE92370601930002130041"

  - `data.payload.product_type` (string)
    The type of the credit line product.
    Enum: "freelancer", "consumer"

  - `data.payload.renewal` (object,null)

  - `data.payload.renewal.status_description` (string)
    Additional information about the status.

  - `data.payload.renewal.status` (string)
    Status of the credit line renewal.
    Enum: "planned", "scoring_pending", "scoring_successful", "customer_notified", "cancelled", "renewed"

  - `data.payload.renewal.rejection_date` (string,null)
    The date the renewal was rejected.
    Example: "2022-10-31"

  - `data.payload.renewal.notification_sent_date` (string,null)
    The date the renewal notification was sent to the customer.
    Example: "2021-01-20"

  - `data.payload.renewal.id` (string)
    ID of the credit line renewal.
    Example: "0696599d-7f0a-434b-b480-ebe5a1e20cc4"

  - `data.payload.renewal.effective_until_date` (string)
    The date until which the renewal will be effective.
    Example: "2022-04-10"

  - `data.payload.renewal.effective_from_date` (string)
    The date from which the renewal will be effective.
    Example: "2022-04-10"

  - `data.payload.renewal.credit_line_id` (string)
    The ID of the credit line.
    Example: "1908331fb8384edcbfe63067366c4b6accln"

  - `data.payload.termination_date` (string,null)
    The date when the credit line termination was effective.
    Example: "2022-02-08"

  - `data.payload.status` (string)
    The status of the credit line.
    Enum: "authorization_pending", "account_creation_pending", "mandate_creation_pending", "open", "closed"

  - `data.payload.termination_type` (string,null)
    The type of the credit line termination.
    Enum: "ORDINARY_BY_BANK", "ORDINARY_BY_CUSTOMER"

  - `data.payload.termination_requested_at` (string,null)
    The date when the credit line termination was requested.
    Example: "2022-02-07"

  - `data.payload.utilized_amount` (object)
    The utilized amount of the credit line limit.
    Example: {"value":1000,"unit":"cents","currency":"EUR"}

  - `data.payload.utilized_amount.value` (integer, required)
    The amount value
    Example: 1000

  - `data.payload.utilized_amount.currency` (string, required)
    The currency of the given value. Only EURO is currently supported.
    Example: "EUR"

  - `data.payload.utilized_amount.unit` (string, required)
    The unit of the given value.
    Enum: "cents"


## Response 200 fields
